%define name	xvidcap
%define version	1.1.7
%define release %mkrel 1

Name:		%{name}
Summary:	Screen capture video recorder
Version:	%{version}
Release:	%{release}
Source:		http://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Patch0:		xvidcap-1.1.5-docbook.patch
Patch1:		xvidcap-1.1.7-fix-headers.patch
Patch2:		xvidcap-1.1.5-nawk.patch
Patch3:		xvidcap-1.1.7-desktop-entry.patch
URL:		http://xvidcap.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	docbook-utils xmlto
BuildRequires:	gtk2-devel jpeg-devel png-devel zlib-devel 
BuildRequires:	libglade2.0-devel
BuildRequires:	libtheora-devel
BuildRequires:	libxmu-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires: libfaac-devel libfaad2-devel
BuildRequires: x264-devel >= 1.65
BuildRequires: liblame-devel
BuildConflicts: libffmpeg-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg >= 0.5

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.

%prep
%setup -q
%patch0 -p0 -b .docbook
%patch1 -p1
%patch2 -p0 -b .fixawk
%patch3 -p1

NOCONFIGURE=yes sh ./autogen.sh
intltoolize --copy --force

%build
%configure2_5x --disable-dependency-tracking --enable-libtheora 

%make 

%install
rm -rf %{buildroot} %{name}.lang

%makeinstall_std

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}/%{_docdir}

for omf in %{buildroot}%{_datadir}/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_scrollkeeper	
	
%postun
%clean_menus
%clean_scrollkeeper

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/xvidcap-dbus-client
%{_bindir}/ppm2mpeg.sh
%_datadir/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*.omf
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Jun 01 2009 Texstar <texstar@gmail.com> 1.1.7-1pclos2009
- 1.1.7
- build against new ffmpeg

* Wed Feb 20 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 1.1.4-4pclos2007
- Rebuild

* Thu Nov 23 2006 ocilent1 <ocilent1 at gmail dot com> 1.1.4-3pclos2007
- Build for PCLinuxOS 2007
- Remove old menu code
- Update post and postun macros
- Add BuildRequires ffmpeg-devel

